Bug 851926 - memory corruption message
memory corruption message
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 00:19 EDT by Need Real Name
Modified: 2014-07-02 04:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-15 10:11:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2012-08-27 00:19:38 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


On 
uname -a
Linux comp 3.4.6-2.fc17.x86_64 #1 SMP Thu Jul 19 22:54:16 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

I got this message:
 
[2757902.689797] systemd[1]: Got D-Bus request: org.freedesktop.DBus.Local.Disconnected() on /org/freedesktop/DBus/Local
[2759794.010668] ------------[ cut here ]------------
[2759794.010677] WARNING: at lib/list_debug.c:55 __list_del_entry+0xa1/0xd0()
[2759794.010679] Hardware name: System Product Name
[2759794.010681] list_del corruption. prev->next should be ffff88010b985ab8, but was fffe88010b985ab8
[2759794.010683] Modules linked in: ah6 ah4 esp6 xfrm4_mode_beet xfrm4_tunnel xfrm4_mode_transport xfrm6_mode_transport xfrm6_mode_ro xfrm6_mode_beet ipcomp ipcomp6 xfrm6_tunnel tunnel6 xfrm_ipcomp af_key esp4 xfrm4_mode_tunnel xfrm6_mode_tunnel fuse tun authenc lockd sunrpc rmd160 crypto_null camellia_generic camellia_x86_64 lzo cast6 cast5 deflate zlib_deflate cts gcm ccm serpent_sse2_x86_64 serpent_generic blowfish_generic blowfish_x86_64 blowfish_common twofish_generic twofish_x86_64_3way xts lrw gf128mul twofish_x86_64 twofish_common xcbc sha256_generic sha512_generic des_generic tunnel4 nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE rfcomm ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables iptable_nat nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep tpm_bios snd_hda_codec_hdmi snd_hda_codec_realtek btusb bluetooth raid1 snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_page_alloc i2c_i801 coretemp r8169 mii serio_raw snd_timer iTCO_wdt snd soundcore microcode eeepc_wmi asus_wmi sparse_keymap rfkill iTCO_vendor_support uinput ata_generic pata_acpi crc32c_intel ghash_clmulni_intel pata_jmicron usb_storage mxm_wmi wmi i915 video i2c_algo_bit drm_kms_helper drm i2c_core [last unloaded: tunnel6]
[2759794.010755] Pid: 70, comm: kswapd0 Not tainted 3.4.6-2.fc17.x86_64 #1
[2759794.010757] Call Trace:
[2759794.010764]  [<ffffffff81056ecf>] warn_slowpath_common+0x7f/0xc0
[2759794.010767]  [<ffffffff81056fc6>] warn_slowpath_fmt+0x46/0x50
[2759794.010769]  [<ffffffff812d4201>] __list_del_entry+0xa1/0xd0
[2759794.010774]  [<ffffffff8126e3ba>] selinux_inode_free_security+0x4a/0x80
[2759794.010778]  [<ffffffff81269c76>] security_inode_free+0x16/0x20
[2759794.010782]  [<ffffffff8119a4b6>] __destroy_inode+0x26/0xf0
[2759794.010784]  [<ffffffff8119a5a6>] destroy_inode+0x26/0x70
[2759794.010787]  [<ffffffff8119a6f1>] evict+0x101/0x190
[2759794.010789]  [<ffffffff8119ac8e>] dispose_list+0x3e/0x60
[2759794.010792]  [<ffffffff8119b501>] prune_icache_sb+0x161/0x300
[2759794.010797]  [<ffffffff8118471b>] prune_super+0x15b/0x1b0
[2759794.010800]  [<ffffffff811328f9>] shrink_slab+0x149/0x2d0
[2759794.010803]  [<ffffffff8113626f>] balance_pgdat+0x58f/0x7a0
[2759794.010806]  [<ffffffff811365ea>] kswapd+0x16a/0x3b0
[2759794.010809]  [<ffffffff81078e00>] ? wake_up_bit+0x40/0x40
[2759794.010812]  [<ffffffff81136480>] ? balance_pgdat+0x7a0/0x7a0
[2759794.010814]  [<ffffffff810788c3>] kthread+0x93/0xa0
[2759794.010819]  [<ffffffff815fdfe4>] kernel_thread_helper+0x4/0x10
[2759794.010822]  [<ffffffff81078830>] ? flush_kthread_worker+0x80/0x80
[2759794.010825]  [<ffffffff815fdfe0>] ? gs_change+0x13/0x13
[2759794.010827] ---[ end trace 1e97cdf963349bc6 ]---
[2786595.672964] EXT4-fs (sdh1): warning: maximal mount count reached, running e2fsck is recommended
Comment 1 Josh Boyer 2012-08-27 09:06:38 EDT
You had a single bit flip in memory.  That can often be a sign of a memory module failing.  I would suggest running memtest86+ overnight and seeing if you get any errors.
Comment 2 Need Real Name 2012-08-30 13:56:30 EDT
I understand this does not prove anything,
but after 32 hours of continuous memtestx86 v4.20
no single memory error found
Comment 3 Josh Boyer 2013-03-14 13:50:05 EDT
Are you still having issues with this with 3.8.2 in updates-testing?
Comment 4 Need Real Name 2013-03-15 10:05:58 EDT
I did see this issue only once.
No repeat.
1 week of continuous memtestx86 v4.20 did show nothing.

I understand this 1 bit flip-flop can be anything
from kernel bug to a cosmic gamma quant.

The memory/motherboard has no ECC memory check.
Comment 5 Josh Boyer 2013-03-15 10:11:33 EDT
OK, we'll close this out for now.  If you see it again, please reopen.

Note You need to log in before you can comment on or make changes to this bug.